Bug 1028620 - Upgrade KIE/Drools/jBPM from 6.0.0.CR5 to 6.0.0.Final
Upgrade KIE/Drools/jBPM from 6.0.0.CR5 to 6.0.0.Final
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
All All
unspecified Severity high
: ER7
: 6.0.0
Assigned To: David Ward
Jiri Pechanec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 16:39 EST by David Ward
Modified: 2014-06-16 19:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1825 Major Closed Upgrade KIE/Drools/jBPM from 6.0.0.CR5 to 6.0.0.Final 2014-06-16 19:48:04 EDT

  None (edit)
Description David Ward 2013-11-08 16:39:33 EST
Refer to JBoss issue: SWITCHYARD-1825
Comment 2 JBoss JIRA Server 2013-11-08 20:02:53 EST
David Ward <dward@jboss.org> made a comment on jira SWITCHYARD-1825

https://github.com/jboss-switchyard/parent/pull/188
https://github.com/jboss-switchyard/components/pull/621
https://github.com/jboss-switchyard/release/pull/317

Note that this ONLY works if you add the following to your ~/.m2/settings.xml, until Final gets finalized on Nexus:
        <mirror>
            <id>jboss-staging-repository-group</id>
            <mirrorOf>jboss-public-repository-group</mirrorOf>
            <name>JBoss.org Staging Repository Group</name>
            <url>https://repository.jboss.org/nexus/content/groups/staging/</url>
        </mirror>

The following changes were made:
1) Version of kie, drools, and jbpm changed to 6.0.0.Final.
2) Re-aligned to Environment creation and RegisterableItemsFactory using newly public apis.
3) Removed all dependencies to kie-common libraries, as they are no longer required (and actually moved to uberfire).
4) Added support for the new RuleRuntimeEventListener.
5) Fixed a possible NPE in RulesExchangeHandler (w/r/t entry points)
Comment 3 JBoss JIRA Server 2013-11-12 23:03:33 EST
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1825

pushed
Comment 4 Jiri Pechanec 2013-12-16 02:28:01 EST
ER7 contains Drools 6.0.0.Final
Comment 5 JBoss JIRA Server 2014-06-16 19:48:04 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1825 to Closed

Note You need to log in before you can comment on or make changes to this bug.